Axuz Developers

GET /public/shared/{token}/files/{fileId}/content

Proxy pra bytes de imagem referenciada pelo flowchart.

  • Access: Public (link or signature)
  • Service: https://api-flow.axuz.net

Accepted authentication

No authentication (public route, or protected by link/signature).

Faz proxy autenticado com X-Internal-Key contra axuz_files_api. 503 quando FILES_API_INTERNAL_URL / INTERNAL_API_KEY não estão configurados.

Parameters

NameInTypeRequiredDescription
tokenpathstringyes

16 bytes hex (2^128 espaço).

fileIdpathstringyes

Responses

200

Bytes do arquivo.

403

Arquivo não referenciado pelo flowchart deste share.

NameTypeRequiredDescription
errorstringyes

404

Recurso não encontrado ou fora de escopo.

NameTypeRequiredDescription
errorstringyes

429

Limite de requisições excedido.

NameTypeRequiredDescription
errorstringyes

500

Erro interno. Tente de novo com backoff; reporte o X-Request-Id.

NameTypeRequiredDescription
errorstringyes

503

files_api / internal key não configurados.

NameTypeRequiredDescription
errorstringyes

Examples

"Try it" is turned off in this reference. Use the examples with your test credential.

curl

curl -sS -X GET 'https://api-flow.axuz.net/public/shared/TOKEN/files/FILE_ID/content'

Node.js

const res = await fetch("https://api-flow.axuz.net/public/shared/TOKEN/files/FILE_ID/content", {
  method: 'GET',
});
if (!res.ok) throw new Error(`HTTP ${res.status}: ${await res.text()}`);
console.log(await res.json());

Python

import os
import requests

res = requests.request(
    "GET",
    "https://api-flow.axuz.net/public/shared/TOKEN/files/FILE_ID/content",
    timeout=30,
)
res.raise_for_status()
print(res.json())